Subject: Re: linux-next: manual merge of the sound-asoc tree with the sound tree

From: Pierre-Louis Bossart <[email-masked]>
Date: Thu, 1 Aug 2019 11:46:54 -0500

On 7/31/19 9:50 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the sound-asoc tree got conflicts in:
> 
>    sound/soc/intel/skylake/skl-nhlt.c
>    sound/soc/intel/skylake/skl.h
> 
> between commit:
> 
>    1169cbf6b98e ("ASoC: Intel: Skylake: use common NHLT module")
> 
> from the sound tree and commit:
> 
>    bcc2a2dc3ba8 ("ASoC: Intel: Skylake: Merge skl_sst and skl into skl_dev struct")
> 
> from the sound-asoc tree.
> 
> I fixed it up (I think, see below (I used the sound tree version of
> ound/soc/intel/skylake/skl-nhlt.c)) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non
> trivial conflicts should be mentioned to your upstream maintainer when
> your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Mark, this comes my NHLT fixes merged by Takashi and available on his 
topic/hda-dmic branch.

This can be fixed by merging this topic/hda-dmic into your for-next 
branch, with a minor set of merge conflicts already identified by Stephen.

If you don't like merge conflicts, we can also do this with 
revert-merge-reapply, I pushed a branch 
https://github.com/plbossart/sound/commits/fix/nhlt-conflicts to provide 
the sequence needed

Sorry about that, let me know if I can help further.
-Pierre